# -*- encoding: utf-8 -*-
# stub: redparse 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "redparse".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Caleb Clausen".freeze]
  s.date = "2016-07-18"
  s.description = "RedParse is a ruby parser (and parser-compiler) written in pure ruby. \nInstead of YACC or ANTLR, it's parse tool is a home-brewed language. (The\ntool is (at least) LALR(1)-equivalent and the 'parse language' is \npretty nice, even in it's current form.)\n\nMy intent is to have a completely correct parser for ruby, in 100% \nruby. And I think I've more or less succeeded. Aside from some fairly\nminor quibbles (see below), RedParse can parse all known ruby 1.8 and 1.9 \nconstructions correctly. Input text may be encoded in ascii, binary, \nutf-8, iso-8859-1, and the euc-* family of encodings. Sjis is not yet \nsupported.".freeze
  s.email = "caleb (at) inforadical (dot) net".freeze
  s.extra_rdoc_files = ["README.txt".freeze, "COPYING.LGPL".freeze]
  s.files = ["COPYING.LGPL".freeze, "README.txt".freeze]
  s.homepage = "http://github.com/coatl/redparse".freeze
  s.licenses = ["LGPL-2.1".freeze]
  s.rdoc_options = ["--main".freeze, "README.txt".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "RedParse is a ruby parser written in pure ruby.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 2
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rubylexer>.freeze, ["= 0.8.0"])
    s.add_runtime_dependency(%q<reg>.freeze, [">= 0.5.0a0"])
  else
    s.add_dependency(%q<rubylexer>.freeze, ["= 0.8.0"])
    s.add_dependency(%q<reg>.freeze, [">= 0.5.0a0"])
  end
end
